function [win_stay,win_switch] = MontyHall(nSim);
% Simulate n realizations of the Monty Hall problem
%
%
%________________________________________________________________________
% Script:   Monty Hall
% Purpose:  Simulation demonstration
% Author:   Tom Nichols
% Date:     8 Jan 2012
%


% Set 'Magic numbers'
MyDoor = 1;
OtherDoors = [2 3];

% Initialize counter variables
win_stay = 0;
win_switch = 0;

for i = 1:nSim

  PrizeDoor = rand_int(1,3,1);  

  % Case of staying
  if (MyDoor == PrizeDoor)
    win_stay = win_stay + 1;
  end

  % Case of switching
  % If winning door is MyDoor, I lose :(
  if any(PrizeDoor == OtherDoors)
    % If winning door is 2, they'll show me 3 and I'll switch and win
    % If winning door is 3, they'll show me 2 and I'll switch and win
    win_switch = win_switch + 1;
  end

end

win_stay=win_stay/nSim;
win_switch=win_switch/nSim;
  
